// FTLcdDlg.h : wb_[ t@C
//

#if !defined(AFX_FTLCDDLG_H__77E4991C_C142_47C5_9F8A_595D93CC5D54__INCLUDED_)
#define AFX_FTLCDDLG_H__77E4991C_C142_47C5_9F8A_595D93CC5D54__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "LcdCtrl.h"
#include "pdh.h"

#define	WM_USER_TASKTRAY	(WM_APP + 1)

enum MODE
{
	MODE_TITLE,
	MODE_CPU,
	MODE_NETWORK,
};

/////////////////////////////////////////////////////////////////////////////
// CFTLcdDlg _CAO

class CFTLcdDlg : public CDialog
{
// \z
public:
	CFTLcdDlg(CWnd* pParent = NULL);	// W̃RXgN^

// _CAO f[^
	//{{AFX_DATA(CFTLcdDlg)
	enum { IDD = IDD_FTLCD_DIALOG };
		// : ̈ʒu ClassWizard ɂăf[^ oǉ܂B
	//}}AFX_DATA

	// ClassWizard ͉z֐̃I[o[Ch𐶐܂B
	//{{AFX_VIRTUAL(CFTLcdDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV ̃T|[g
	//}}AFX_VIRTUAL

// Cve[V
protected:
	HICON m_hIcon;

	// ꂽbZ[W }bv֐
	//{{AFX_MSG(CFTLcdDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDestroy();
	afx_msg void OnCancel();
	afx_msg void OnOK();
	afx_msg void OnAppExit();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	afx_msg void OnWindowPosChanging(WINDOWPOS FAR* lpwndpos);
	afx_msg LRESULT OnTaskTray(LPARAM lParam, WPARAM wParam);
	DECLARE_MESSAGE_MAP()

private:
	void PutBarGpath(int nPos, int nMax, int nChar);
	void Update();
	void Mode_Title();
	void Mode_Cpu();
	void Mode_Network();

	CLcdCtrl	m_lcd;

	BOOL		m_fEnableShow;
	NOTIFYICONDATA m_stNotifyIcon;
	HQUERY		m_hQuery;
	HCOUNTER	m_hCntCpu;
	HCOUNTER	m_hCntMem;
	HCOUNTER	m_hCntDisk;
	HANDLE		m_hEvent;
	int			m_nOldKey;

	MODE		m_nMode;
	MODE		m_nOldMode;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ ͑Os̒Oɒǉ̐錾}܂B

#endif // !defined(AFX_FTLCDDLG_H__77E4991C_C142_47C5_9F8A_595D93CC5D54__INCLUDED_)
